Bug 10197 - Add CSS classes to patron info list in patron account
Summary: Add CSS classes to patron info list in patron account
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nicole C. Engard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-05 13:46 UTC by Nicole C. Engard
Modified: 2014-12-07 20:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
element view on patron record (85.69 KB, image/png)
2013-05-05 13:46 UTC, Nicole C. Engard
Details
Bug 10197: Add classes to patron info list (7.30 KB, patch)
2013-05-10 13:51 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10197: Add classes to patron info list (7.73 KB, patch)
2013-05-10 13:55 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10197: Add classes to patron info list (7.81 KB, patch)
2013-07-16 00:47 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
[PASSED QA] Bug 10197: Add classes to patron info list (7.90 KB, patch)
2013-07-21 14:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-05-05 13:46:33 UTC
Created attachment 17956 [details]
element view on patron record

On the patron record (and all related tabs) in the staff client the patron info appears on the top left in a list (<ul>) it would be nice if that list and the list items had ID tags so you could style them.
Comment 1 Nicole C. Engard 2013-05-10 13:51:39 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2013-05-10 13:55:24 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2013-06-11 15:33:41 UTC
Can someone tell me how to rebase a patch to get it to work on the newest version? I applied the patch and it failed, but didn't show me the conflicts in the files like I'm used to with the manual.

Nicole
Comment 4 Srdjan Jankovic 2013-07-16 00:47:28 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2013-07-21 14:47:29 UTC
Created attachment 19841 [details] [review]
[PASSED QA] Bug 10197: Add classes to patron info list

This patch adds classes to the patron info found on the
top left of the circulation and patron related pages to
allow for easy styling of the information displayed.

To test:

* Apply patch
* View a patron detail page and view the source on the list to the
  left to see the styles
* View a checkout screen and view the source on the list to the
  left with patron info to see the styles
* You could also try to style things by customizing your CSS

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Template only changes.
Comment 6 Galen Charlton 2013-07-22 14:51:35 UTC
Pushed to master.  Thanks, Nicole!
Comment 7 Tomás Cohen Arazi 2013-08-14 17:53:02 UTC
This patch has been pushed to 3.12.x, will be in 3.12.4.

Thanks Nicole!